com.ihr.xbrl.dts

## Enum ScaleValue

- java.lang.Object
- - java.lang.Enum<ScaleValue>
  - - com.ihr.xbrl.dts.ScaleValue

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ScaleValue>

      public enum ScaleValue
      extends java.lang.Enum<ScaleValue>

  The Enum ScaleValue.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MillionsOfMeasure` The Millions of measure.
    `ThousandsOfMeasure` The Thousands of measure.
    `UnitsOfMeasure` The Units of measure.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ScaleValue` | `fromUnlocalizedString(java.lang.String value)` From unlocalized string.
    `int` | `getValue()` Gets the value.
    `java.lang.String` | `toString()`
    `java.lang.String` | `toUnlocalizedString()` To unlocalized string.
    `static ScaleValue` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ScaleValue[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UnitsOfMeasure

          public static final ScaleValue UnitsOfMeasure

      The Units of measure.

    - #### ThousandsOfMeasure

          public static final ScaleValue ThousandsOfMeasure

      The Thousands of measure.

    - #### MillionsOfMeasure

          public static final ScaleValue MillionsOfMeasure

      The Millions of measure.

  - ### Method Detail

    - #### values

          public static ScaleValue[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ScaleValue c : ScaleValue.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ScaleValue valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Gets the value.
      Returns:
        the value

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ScaleValue>`

    - #### fromUnlocalizedString

          public static ScaleValue fromUnlocalizedString(java.lang.String value)

      From unlocalized string.
      Parameters:
        `value` - the value
      Returns:
        the scale value

    - #### toUnlocalizedString

          public java.lang.String toUnlocalizedString()

      To unlocalized string.
      Returns:
        the string